#pragma once
#include <list>

class CTuringGenerator
{
public:
	CTuringGenerator(void);
	~CTuringGenerator(void);
	BOOL RenderTURingImage(HWND hWnd, LPCTSTR username, HBITMAP background, int ctrlID);
	BOOL CheckCredentials(LPCTSTR username, LPCTSTR password, LPCTSTR otc);
private:
	LPTSTR m_securityString;
	std::list<LPCTSTR> backgrounds;
	std::list<LOGFONT*> fonts;
	LPCTSTR GetSecurityString(LPCTSTR username);
	void RenderSecurityString(HWND image, HBITMAP background, LPTSTR secString);
	void LoadFonts();
	void LoadBackgrounds();
};
